package domain


type AlibabaTclsAxIntegrationPermissionIdentifierPermissionDto struct {
    /*
        数据权限     */
    DataPermissions  *[]AlibabaTclsAxIntegrationPermissionDataPermissionDto `json:"data_permissions,omitempty" `

    /*
        功能权限     */
    IdentifierPermissions  *string `json:"identifier_permissions,omitempty" `

}

func (s *AlibabaTclsAxIntegrationPermissionIdentifierPermissionDto) SetDataPermissions(v []AlibabaTclsAxIntegrationPermissionDataPermissionDto) *AlibabaTclsAxIntegrationPermissionIdentifierPermissionDto {
    s.DataPermissions = &v
    return s
}
func (s *AlibabaTclsAxIntegrationPermissionIdentifierPermissionDto) SetIdentifierPermissions(v string) *AlibabaTclsAxIntegrationPermissionIdentifierPermissionDto {
    s.IdentifierPermissions = &v
    return s
}
